Package: groovy.util

## [Java] Class DefaultNewInstanceResolver

- groovy.util.ObjectGraphBuilder.DefaultNewInstanceResolver

- All Implemented Interfaces and Traits:
    NewInstanceResolver

      public static class ObjectGraphBuilder.DefaultNewInstanceResolver

  Default impl that calls Class.newInstance()

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `newInstance(Class klass, Map attributes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public Object newInstance(Class klass, Map attributes)